@echo off
echo Firmware patching script for T-CHL7DEUC 2005.0 firmware
echo release #1.04 / 2011-03-29 by geo650.
echo =========================================================
echo.
echo Ensure T-CHL7DEUC.exe file (original firmware) is present
echo in the same directory together with this script.
echo.
echo WARNING! Please STOP in case of any error.
echo The whole process will take up to 10 minutes.
echo.
echo =========================================================
echo Press [ENTER] to prepare and patch your firmware.
pause>nul
echo.

if not exist T-CHL7DEUC.exe goto :failed
echo unpacking original files...
echo Please Press [Install] button and wait.
T-CHL7DEUC.exe

echo.
echo verifying firmware version...
geopatcher T-CHL7DEUC\image\version_info.txt version_info.tmp geo1.txt

if ERRORLEVEL 1 goto failed

echo patching firmware files...
geopatcher T-CHL7DEUC\image\exe.img.enc new_exe.img.enc geo2.txt

if ERRORLEVEL 1 goto failed

echo.
echo patching validinfo.txt
geopatcher T-CHL7DEUC\image\validinfo.txt new_validinfo.txt geo3.txt

if ERRORLEVEL 1 goto failed

echo.
echo swapping files... (2 files are copied)
copy new_validinfo.txt T-CHL7DEUC\image\validinfo.txt
copy new_exe.img.enc T-CHL7DEUC\image\exe.img.enc

echo deleting temporary file(s)...
del crc_for_validinfo.txt
del new_validinfo.txt
del new_exe.img.enc
del version_info.tmp

echo.
echo *****************************************************************
echo DONE! Firmare files are prepared. Are you ready to flash your TV?
echo Put T-CHL7DEUC directory on your pendrive and pray ;-)
echo *****************************************************************
echo.

:failed
echo Press [ENTER] to end the script.
pause>nul
