#!/bin/bash
echo "Firmware patching script for T-CHL7DEUC 2005.0 firmware"
echo "release #1.04 for Linux / 2011-03-29 by geo650."
echo "========================================================="
echo ""
echo "Ensure extracted T-CHL7DEUC subdirectory from"
echo "the original firmware archive is present"
echo "in the same directory together with this script."
echo ""
echo "WARNING! Please STOP in case of any error."
echo "The whole process will take up to 10 minutes."
echo ""
echo "========================================================="
read -p "Press [ENTER] to prepare and patch your firmware."
echo ""

if [ ! -d "./T-CHL7DEUC" ]; then
echo "ERROR: No original firmware directory found!"
else

echo "verifying firmware version..."
./geopatcher ./T-CHL7DEUC/image/version_info.txt ./version_info.tmp ./geo1.txt

if [ $? = 0 ]; then

echo "patching firmware files..."
./geopatcher ./T-CHL7DEUC/image/exe.img.enc ./new_exe.img.enc ./geo2.txt

if [ $? = 0 ]; then

echo ""
echo "patching validinfo.txt"
./geopatcher ./T-CHL7DEUC/image/validinfo.txt ./new_validinfo.txt ./geo3.txt

if [ $? = 0 ]; then

echo ""
echo "swapping files... (2 files are copied)"
cp ./new_validinfo.txt ./T-CHL7DEUC/image/validinfo.txt
cp ./new_exe.img.enc ./T-CHL7DEUC/image/exe.img.enc

echo "deleting temporary file(s)..."
rm ./crc_for_validinfo.txt
rm ./new_validinfo.txt
rm ./new_exe.img.enc
rm ./version_info.tmp

echo ""
echo "*****************************************************************"
echo "DONE! Firmare files are prepared. Are you ready to flash your TV?"
echo "Put T-CHL7DEUC directory on your pendrive and pray ;-)"
echo "*****************************************************************"
echo ""

fi; fi; fi; fi

read -p "Press [ENTER] to end the script."
